Loading...
Searching...
No Matches
Actions

Eager, mutating, composable algorithms. More...

## Concepts

concept | ranges::invocable_action_closure_
| The `invocable_action_closure_` concept.
concept | ranges::invocable_action_closure
| The `invocable_action_closure` concept.

## Classes

struct | ranges::make_action_closure_fn
struct | ranges::push_back_fn
struct | ranges::push_front_fn

## Typedefs

template<typename Cont , typename Rng >
using | ranges::insert_t = decltype(static_cast< void >(ranges::insert(std::declval< Cont & >(), std::declval< sentinel_t< Cont > >(), std::declval< Rng >())))
template<typename Cont , typename T >
using | ranges::push_back_t = decltype(static_cast< void >(unwrap_reference(std::declval< Cont & >()).push_back(std::declval< T >())))
template<typename Cont , typename T >
using | ranges::push_front_t = decltype(static_cast< void >(unwrap_reference(std::declval< Cont & >()).push_front(std::declval< T >())))

## Functions

template<typename Cont , typename Rng > requires lvalue_container_like<Cont> && range<Rng>
insert_t< Cont, Rng > | ranges::push_back (Cont &&cont, Rng &&rng)
template<typename Cont , typename T > requires lvalue_container_like<Cont> && (!range<T>) && constructible_from<range_value_t<Cont>, T>
push_back_t< Cont, T > | ranges::push_back (Cont &&cont, T &&t)
template<typename Cont , typename Rng > requires lvalue_container_like<Cont> && range<Rng>
insert_t< Cont, Rng > | ranges::push_front (Cont &&cont, Rng &&rng)
template<typename Cont , typename T > requires lvalue_container_like<Cont> && (!range<T>) && constructible_from<range_value_t<Cont>, T>
push_front_t< Cont, T > | ranges::push_front (Cont &&cont, T &&t)

## Variables

constexpr adl_erase_detail::erase_fn | ranges::erase {}
constexpr adl_insert_detail::insert_fn | insert {}
constexpr make_action_closure_fn | ranges::make_action_closure {}
concept | ranges::Rng

## Detailed Description

Eager, mutating, composable algorithms.

## Variable Documentation

## make_action_closure

constexpr make_action_closure_fn ranges::make_action_closure {}

constexpr

`#include <range/v3/action/action.hpp>`

See also
  make_action_closure_fn